float4x4 ModelViewProj;
float4x4 ModelView;

float4 ProjectBias;

struct InputVertex
{
	float4 Pos : POSITION;	
};

struct OutputVertex
{
	float4 Pos : POSITION;	
	float4 BackCoord : TEXCOORD0;
};


void main(in InputVertex src, out OutputVertex dest)
{
	dest.Pos = mul(src.Pos, ModelViewProj);
	dest.BackCoord = mul(src.Pos, ModelView);
}